package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_STD_R_TEST所对应的实体类（生成工具：代码生成器1.0.0.0）
 * @author Chenxi-PC2   date 2016-04-16
 */
@SuppressWarnings("serial")
public class ComBaseStdRTestEntity implements java.io.Serializable {
    /**
     * 标准代码（产品标准）
     */
    private String stdCode = "";
    /**
     * 标准名称（产品标准）
     */
    private String stdName = "";
    /**
     * 标准代码（试验标准）
     */
    private String stdCodeTest = "";
    /**
     * 标准名称（试验标准）
     */
    private String stdNameTest = "";
    /**
     * 取样码
     */
    private String phyCodeMin = "";
    /**
     * 取样码描述
     */
    private String phyNameMin = "";
    /**
     * 优先级（1。2。3。4。。。。）
     */
    private String levelTest = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 主键
     */
    private String pk = "";

    /**
     * 标准代码（产品标准）
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码（产品标准）
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称（产品标准）
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称（产品标准）
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准代码（试验标准）
     * @return value
     */
    public String getStdCodeTest() {
        return stdCodeTest;
    }

    /**
     * 标准代码（试验标准）
     * @param stdCodeTest value
     */
    public void setStdCodeTest(String stdCodeTest) {
        this.stdCodeTest = stdCodeTest;
    }

    /**
     * 标准名称（试验标准）
     * @return value
     */
    public String getStdNameTest() {
        return stdNameTest;
    }

    /**
     * 标准名称（试验标准）
     * @param stdNameTest value
     */
    public void setStdNameTest(String stdNameTest) {
        this.stdNameTest = stdNameTest;
    }

    /**
     * 取样码
     * @return value
     */
    public String getPhyCodeMin() {
        return phyCodeMin;
    }

    /**
     * 取样码
     * @param phyCodeMin value
     */
    public void setPhyCodeMin(String phyCodeMin) {
        this.phyCodeMin = phyCodeMin;
    }

    /**
     * 取样码描述
     * @return value
     */
    public String getPhyNameMin() {
        return phyNameMin;
    }

    /**
     * 取样码描述
     * @param phyNameMin value
     */
    public void setPhyNameMin(String phyNameMin) {
        this.phyNameMin = phyNameMin;
    }

    /**
     * 优先级（1。2。3。4。。。。）
     * @return value
     */
    public String getLevelTest() {
        return levelTest;
    }

    /**
     * 优先级（1。2。3。4。。。。）
     * @param levelTest value
     */
    public void setLevelTest(String levelTest) {
        this.levelTest = levelTest;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 主键
     * @return value
     */
    public String getPk() {
        return pk;
    }

    /**
     * 主键
     * @param pk value
     */
    public void setPk(String pk) {
        this.pk = pk;
    }
}